## mx4j.tools.remote.caucho
Interface CauchoInput

public interface CauchoInput

Version:
  $

Method Summary
`void` `completeCall()`
`void` `completeReply()`
`java.lang.String` `readHeader()`
`java.lang.String` `readMethod()`
`java.lang.Object` `readObject(java.lang.Class cls)` Reads and returns an object of the given class, or a generic object if the class is null.
`void` `startCall()`
`void` `startReply()` Starts reading a reply of a previous call; if the call threw an exception, the exception is read and re-thrown, otherwise the result of the call can be read using `readObject(java.lang.Class)`.

Method Detail

### startCall

    public void startCall()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### completeCall

    public void completeCall()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readHeader

    public java.lang.String readHeader()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readMethod

    public java.lang.String readMethod()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readObject

    public java.lang.Object readObject(java.lang.Class cls)
                                throws java.io.IOException

  Reads and returns an object of the given class, or a generic object if the class is null.

  Throws:
    `java.io.IOException`

### startReply

    public void startReply()
                    throws java.lang.Exception

  Starts reading a reply of a previous call; if the call threw an exception, the exception is read and re-thrown, otherwise the result of the call can be read using `readObject(java.lang.Class)`.

  Throws:
    `java.lang.Exception`

### completeReply

    public void completeReply()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.